Package org.eclipse.net4j.db.ddl.delta

# Enum-Klasse IDBDelta.DeltaType

java.lang.Object
java.lang.Enum<IDBDelta.DeltaType>
org.eclipse.net4j.db.ddl.delta.IDBDelta.DeltaType

Alle implementierten Schnittstellen:
  `Serializable`, `Comparable<IDBDelta.DeltaType>`, `Constable`

Umschließende Schnittstelle:
  `IDBDelta`

public static enum IDBDelta.DeltaType extends Enum<IDBDelta.DeltaType>

Autor:
  Eike Stepper

## Verschachtelte Klassen - Übersicht

## Von Klasse geerbte verschachtelte Klassen/Schnittstellen java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum-Konstanten - Übersicht

Enum-Konstanten
Enum-Konstante
Beschreibung
`FIELD`
`INDEX`
`INDEX_FIELD`
`PROPERTY`
`SCHEMA`
`TABLE`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`static IDBDelta.DeltaType`
`valueOf(String name)`
Gibt die Enum-Konstante dieser Klasse mit dem angegebenen Namen zurück.
`static IDBDelta.DeltaType[]`
`values()`
Gibt ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration zurück.

### Von Klasse geerbte Methoden java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Von Klasse geerbte Methoden java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum-Konstanten - Details

### SCHEMA

public static final IDBDelta.DeltaType SCHEMA

### TABLE

public static final IDBDelta.DeltaType TABLE

### FIELD

public static final IDBDelta.DeltaType FIELD

### INDEX

public static final IDBDelta.DeltaType INDEX

### INDEX_FIELD

public static final IDBDelta.DeltaType INDEX_FIELD

### PROPERTY

public static final IDBDelta.DeltaType PROPERTY

## Methodendetails

### values

public static IDBDelta.DeltaType[] values()
Gibt ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration zurück.

Gibt zurück:
  ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration

### valueOf

public static IDBDelta.DeltaType valueOf(String name)
Gibt die Enum-Konstante dieser Klasse mit dem angegebenen Namen zurück. Die Zeichenfolge muss exakt mit einer ID übereinstimmen, mit der eine Enum-Konstante in dieser Klasse deklariert wird. (Zusätzliche Leerzeichen sind nicht zulässig.)

Parameter:
  `name` - Name der zurückzugebenden Enumerationskonstante.
Gibt zurück:
  Enumerationskonstante mit dem angegebenen Namen
Löst aus:
  `IllegalArgumentException` - wenn diese Enum-Klasse keine Konstante mit dem angegebenen Namen enthält
  `NullPointerException` - wenn das Argument nicht angegeben wird